#include <kdialog.h>
#include <klocale.h>
/****************************************************************************
** Form implementation generated from reading ui file './themeeditor.ui'
**
** Created: jeu aoû 30 18:51:43 2007
**      by: The User Interface Compiler ($Id: qt/main.cpp   3.3.7   edited Aug 31 2005 $)
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "themeeditor.h"

#include <qvariant.h>
#include <qpushbutton.h>
#include <qgroupbox.h>
#include <qlabel.h>
#include <qlineedit.h>
#include <knuminput.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>
#include "kcolorcombo2.h"

/*
 *  Constructs a ThemeEditorWidget as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 */
ThemeEditorWidget::ThemeEditorWidget( QWidget* parent, const char* name, WFlags fl )
    : QWidget( parent, name, fl )
{
    if ( !name )
	setName( "ThemeEditorWidget" );
    ThemeEditorWidgetLayout = new QVBoxLayout( this, KDialog::marginHint(), KDialog::spacingHint(), "ThemeEditorWidgetLayout"); 

    gbTheme = new QGroupBox( this, "gbTheme" );
    gbTheme->setColumnLayout(0, Qt::Vertical );
    gbTheme->layout()->setSpacing( KDialog::spacingHint() );
    gbTheme->layout()->setMargin( KDialog::marginHint() );
    gbThemeLayout = new QGridLayout( gbTheme->layout() );
    gbThemeLayout->setAlignment( Qt::AlignTop );

    themeNameLabel = new QLabel( gbTheme, "themeNameLabel" );

    gbThemeLayout->addWidget( themeNameLabel, 0, 0 );

    backgroundImageLabel = new QLabel( gbTheme, "backgroundImageLabel" );

    gbThemeLayout->addWidget( backgroundImageLabel, 1, 0 );

    themeName = new QLineEdit( gbTheme, "themeName" );

    gbThemeLayout->addMultiCellWidget( themeName, 0, 0, 1, 3 );

    pbAbout = new QPushButton( gbTheme, "pbAbout" );

    gbThemeLayout->addWidget( pbAbout, 0, 4 );

    changeBackgroundImageButton = new QPushButton( gbTheme, "changeBackgroundImageButton" );

    gbThemeLayout->addWidget( changeBackgroundImageButton, 1, 1 );

    removeBackgroundImageButton = new QPushButton( gbTheme, "removeBackgroundImageButton" );

    gbThemeLayout->addWidget( removeBackgroundImageButton, 1, 2 );
    spacer2 = new QSpacerItem( 0, 0, QSizePolicy::Expanding, QSizePolicy::Minimum );
    gbThemeLayout->addMultiCell( spacer2, 1, 1, 3, 4 );
    ThemeEditorWidgetLayout->addWidget( gbTheme );

    gpColors = new QGroupBox( this, "gpColors" );
    gpColors->setColumnLayout(0, Qt::Vertical );
    gpColors->layout()->setSpacing( KDialog::spacingHint() );
    gpColors->layout()->setMargin( KDialog::marginHint() );
    gpColorsLayout = new QGridLayout( gpColors->layout() );
    gpColorsLayout->setAlignment( Qt::AlignTop );

    backgroundColorLabel = new QLabel( gpColors, "backgroundColorLabel" );

    gpColorsLayout->addWidget( backgroundColorLabel, 0, 0 );

    textColor = new KColorCombo2( gpColors, "textColor" );
    textColor->setFocusPolicy( KColorCombo2::TabFocus );

    gpColorsLayout->addWidget( textColor, 1, 1 );

    textColorLabel = new QLabel( gpColors, "textColorLabel" );

    gpColorsLayout->addWidget( textColorLabel, 1, 0 );

    nextPlayingColorLabel = new QLabel( gpColors, "nextPlayingColorLabel" );

    gpColorsLayout->addWidget( nextPlayingColorLabel, 2, 0 );

    backgroundColor = new KColorCombo2( gpColors, "backgroundColor" );
    backgroundColor->setFocusPolicy( KColorCombo2::TabFocus );

    gpColorsLayout->addWidget( backgroundColor, 0, 1 );

    backgroundColorOpacity = new KIntNumInput( gpColors, "backgroundColorOpacity" );
    backgroundColorOpacity->setMinValue( 0 );
    backgroundColorOpacity->setMaxValue( 100 );

    gpColorsLayout->addWidget( backgroundColorOpacity, 0, 3 );

    backgroundColorOpacityLabel = new QLabel( gpColors, "backgroundColorOpacityLabel" );

    gpColorsLayout->addWidget( backgroundColorOpacityLabel, 0, 2 );

    nextPlayingColor = new KColorCombo2( gpColors, "nextPlayingColor" );
    nextPlayingColor->setFocusPolicy( KColorCombo2::TabFocus );

    gpColorsLayout->addWidget( nextPlayingColor, 2, 1 );

    dateColorLabel = new QLabel( gpColors, "dateColorLabel" );

    gpColorsLayout->addWidget( dateColorLabel, 3, 0 );

    dateColor = new KColorCombo2( gpColors, "dateColor" );
    dateColor->setFocusPolicy( KColorCombo2::TabFocus );

    gpColorsLayout->addWidget( dateColor, 3, 1 );

    hourColor = new KColorCombo2( gpColors, "hourColor" );
    hourColor->setFocusPolicy( KColorCombo2::TabFocus );

    gpColorsLayout->addWidget( hourColor, 4, 1 );

    hourColorLabel = new QLabel( gpColors, "hourColorLabel" );

    gpColorsLayout->addWidget( hourColorLabel, 4, 0 );
    spacer1 = new QSpacerItem( 0, 0, QSizePolicy::Expanding, QSizePolicy::Minimum );
    gpColorsLayout->addItem( spacer1, 0, 4 );
    ThemeEditorWidgetLayout->addWidget( gpColors );

    gpProgressBarColors = new QGroupBox( this, "gpProgressBarColors" );
    gpProgressBarColors->setColumnLayout(0, Qt::Vertical );
    gpProgressBarColors->layout()->setSpacing( KDialog::spacingHint() );
    gpProgressBarColors->layout()->setMargin( KDialog::marginHint() );
    gpProgressBarColorsLayout = new QGridLayout( gpProgressBarColors->layout() );
    gpProgressBarColorsLayout->setAlignment( Qt::AlignTop );

    progressBackgroundLabel = new QLabel( gpProgressBarColors, "progressBackgroundLabel" );

    gpProgressBarColorsLayout->addWidget( progressBackgroundLabel, 0, 0 );

    progressBackgroundColor = new KColorCombo2( gpProgressBarColors, "progressBackgroundColor" );
    progressBackgroundColor->setFocusPolicy( KColorCombo2::TabFocus );

    gpProgressBarColorsLayout->addWidget( progressBackgroundColor, 0, 1 );

    progressBarLabel = new QLabel( gpProgressBarColors, "progressBarLabel" );

    gpProgressBarColorsLayout->addWidget( progressBarLabel, 1, 0 );

    progressBarColor = new KColorCombo2( gpProgressBarColors, "progressBarColor" );
    progressBarColor->setFocusPolicy( KColorCombo2::TabFocus );

    gpProgressBarColorsLayout->addWidget( progressBarColor, 1, 1 );

    progressBackgroundTextColor = new KColorCombo2( gpProgressBarColors, "progressBackgroundTextColor" );
    progressBackgroundTextColor->setFocusPolicy( KColorCombo2::TabFocus );

    gpProgressBarColorsLayout->addWidget( progressBackgroundTextColor, 2, 1 );

    progressBackgroundTextLabel = new QLabel( gpProgressBarColors, "progressBackgroundTextLabel" );

    gpProgressBarColorsLayout->addWidget( progressBackgroundTextLabel, 2, 0 );

    progressBarTextLabel = new QLabel( gpProgressBarColors, "progressBarTextLabel" );

    gpProgressBarColorsLayout->addWidget( progressBarTextLabel, 3, 0 );

    progressBarTextColor = new KColorCombo2( gpProgressBarColors, "progressBarTextColor" );
    progressBarTextColor->setFocusPolicy( KColorCombo2::TabFocus );

    gpProgressBarColorsLayout->addWidget( progressBarTextColor, 3, 1 );
    spacer3 = new QSpacerItem( 31, 20, QSizePolicy::Expanding, QSizePolicy::Minimum );
    gpProgressBarColorsLayout->addItem( spacer3, 0, 2 );
    ThemeEditorWidgetLayout->addWidget( gpProgressBarColors );
    spacer5 = new QSpacerItem( 0, 0, QSizePolicy::Minimum, QSizePolicy::Expanding );
    ThemeEditorWidgetLayout->addItem( spacer5 );
    languageChange();
    resize( QSize(407, 369).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // tab order
    setTabOrder( themeName, pbAbout );
    setTabOrder( pbAbout, changeBackgroundImageButton );
    setTabOrder( changeBackgroundImageButton, removeBackgroundImageButton );
    setTabOrder( removeBackgroundImageButton, backgroundColor );
    setTabOrder( backgroundColor, backgroundColorOpacity );
    setTabOrder( backgroundColorOpacity, textColor );
    setTabOrder( textColor, nextPlayingColor );
    setTabOrder( nextPlayingColor, dateColor );
    setTabOrder( dateColor, hourColor );
    setTabOrder( hourColor, progressBackgroundColor );
    setTabOrder( progressBackgroundColor, progressBarColor );
    setTabOrder( progressBarColor, progressBackgroundTextColor );
    setTabOrder( progressBackgroundTextColor, progressBarTextColor );

    // buddies
    themeNameLabel->setBuddy( themeName );
    backgroundColorLabel->setBuddy( backgroundColor );
    textColorLabel->setBuddy( textColor );
    nextPlayingColorLabel->setBuddy( nextPlayingColor );
    backgroundColorOpacityLabel->setBuddy( backgroundColorOpacity );
    dateColorLabel->setBuddy( dateColor );
    hourColorLabel->setBuddy( hourColor );
    progressBackgroundLabel->setBuddy( progressBackgroundColor );
    progressBarLabel->setBuddy( progressBarColor );
    progressBackgroundTextLabel->setBuddy( progressBackgroundTextColor );
    progressBarTextLabel->setBuddy( progressBarTextColor );
}

/*
 *  Destroys the object and frees any allocated resources
 */
ThemeEditorWidget::~ThemeEditorWidget()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void ThemeEditorWidget::languageChange()
{
    setCaption( tr2i18n( "Form1" ) );
    gbTheme->setTitle( tr2i18n( "Theme" ) );
    themeNameLabel->setText( tr2i18n( "&Name:" ) );
    backgroundImageLabel->setText( tr2i18n( "Background image:" ) );
    pbAbout->setText( tr2i18n( "&About..." ) );
    pbAbout->setAccel( QKeySequence( tr2i18n( "Alt+A" ) ) );
    changeBackgroundImageButton->setText( tr2i18n( "&Choose..." ) );
    changeBackgroundImageButton->setAccel( QKeySequence( tr2i18n( "Alt+C" ) ) );
    removeBackgroundImageButton->setText( tr2i18n( "&Remove" ) );
    removeBackgroundImageButton->setAccel( QKeySequence( tr2i18n( "Alt+R" ) ) );
    gpColors->setTitle( tr2i18n( "Screen Colors" ) );
    backgroundColorLabel->setText( tr2i18n( "&Background:" ) );
    textColorLabel->setText( tr2i18n( "&Text:" ) );
    nextPlayingColorLabel->setText( tr2i18n( "&Next playing:" ) );
    backgroundColorOpacityLabel->setText( tr2i18n( "&Opacity:" ) );
    dateColorLabel->setText( tr2i18n( "&Date:" ) );
    hourColorLabel->setText( tr2i18n( "&Hour:" ) );
    gpProgressBarColors->setTitle( tr2i18n( "Progress Bar Colors" ) );
    progressBackgroundLabel->setText( tr2i18n( "Back&ground:" ) );
    progressBarLabel->setText( tr2i18n( "Ba&r background:" ) );
    progressBackgroundTextLabel->setText( tr2i18n( "Background t&ext:" ) );
    progressBarTextLabel->setText( tr2i18n( "Bar te&xt:" ) );
}

#include "themeeditor.moc"
